Commit 4fb60930 authored by Andrea Sciaba's avatar Andrea Sciaba
Browse files

Removed HTML tags and redundant output

parent 0edecc1f
#!/bin/bash
echo "<h2>Test of FroNtier under CMSSW</h2>"
# Source the CMS environment
echo "<h3>Sourcing the CMS environment</h3>"
if [ -n "$OSG_GRID" ] ; then
[ -f $OSG_GRID/setup.sh ] && source $OSG_GRID/setup.sh
echo "<p>OSG Middleware</p>"
if [ -d $OSG_APP/cmssoft/cms ] ;then
SW_DIR=$OSG_APP/cmssoft/cms
echo "<p>Checking variable: \$OSG_APP/cmssoft/cms=$OSG_APP/cmssoft/cms</p>"
elif [ -d $CVMFS/cms.cern.ch ] ; then
SW_DIR=$CVMFS/cms.cern.ch
echo "<p>Checking variable: \$CVMFS/cms.cern.ch=$CVMFS/cms.cern.ch</p>"
elif [ -d /cvmfs/cms.cern.ch ] ; then
SW_DIR=/cvmfs/cms.cern.ch
echo "<p>Checking fallback location: /cvmfs/cms.cern.ch</p>"
else
echo "<p>"
echo "Cannot find CMS software area."
echo "</p>"
exit $SAME_ERROR
echo "ERROR: Cannot find CMS software in OSG node"
echo "summary: SW_DIR_UNDEF"
exit $SAME_ERROR
fi
elif [ -n "$VO_CMS_SW_DIR" ] ; then
echo "<p>gLite Middleware</p>"
SW_DIR=$VO_CMS_SW_DIR
else
echo "ERROR: Neither VO_CMS_SW_DIR nor OSG_APP defined"
echo "summary: SW_DIR_UNDEF"
exit $SAME_ERROR
fi
#if [ `uname -n|cut -d. -f2-` == "cern.ch" ] ; then
# echo "running at CERN, hardset \$SW_DIR to /afs/cern.ch/cms/sw"
# export SW_DIR=/afs/cern.ch/cms/sw/
#fi
echo "CMS software location SW_DIR=" $SW_DIR
tmpfile=`mktemp /tmp/tmp.XXXXXXXXXX`
echo "<pre>"
# check for SL5
libc25=1
......@@ -44,57 +31,29 @@ if ! [ -f $SW_DIR/common/cmsos ] ; then
slVersion="slc5"
else
osVersion=`$SW_DIR/common/cmsos`
echo "osVersion from \$SW_DIR/common/cmsos =" $osVersion
echo "osVersion: " $osVersion
cmsarch=`$SW_DIR/common/cmsarch`
echo "scram_arch from \$SW_DIR/common/cmsarch=" $cmsarch
echo "scram_arch: " $cmsarch
slVersion=`echo $cmsarch|cut -d'_' -f1`
fi
#echo "slVersion=" $slVersion
#if ! [ -f /lib/libc-2.5.so ] ; then
# echo "libc 2.5 not found, not an SL5 node"
# libc25=0
#fi
#if ! [ $slVersion == "slc5" ] ; then
# echo "<h3> not an SL5 machine </h3>"
# exit $SAME_WARNING
#fi
#if [ $libc25 == "0" ] ; then
# echo "<h2>ohibo' ! SL5 but no libc-2.5</h2>"
# echo "osVersion/slVersion =" $osVersion $slVersion
# echo "ls -l /lib/libc*"
# ls -l /lib/libc*
# exit $SAME_OK
#fi
# this test requires SLC5 arch, currently
export SCRAM_ARCH=slc5_amd64_gcc462
export BUILD_ARCH=$SCRAM_ARCH
source $SW_DIR/cmsset_default.sh > $tmpfile 2>&1
result=$?
cat $tmpfile
echo "</pre>"
grep 'Your shell is not able to find' $tmpfile > /dev/null
result2=$?
rm -f $tmpfile
if [ $result != 0 ]
then
echo "<p>ERROR: $SW_DIR/cmsset_default.sh non existent or non readable</p>"
if [ $result != 0 -o $result2 == 0 ] ; then
cat $tmpfile
rm -f $tmpfile
echo "ERROR: CMS software initialisation script cmsset_default.sh failed"
echo "summary: NO_SETUP_SCRIPT"
exit $SAME_ERROR
fi
if [ $result2 == 0 ]
then
echo "<p>ERROR: $SW_DIR/cmsset_default.sh failed</p>"
# temporarely set this to WARNING to allow soft fail for SL4 clusters
exit $SAME_WARNING
fi
# Execute main test script
echo "<h3>Executing the FroNtier test</h3>"
echo "<pre>"
$SAME_SENSOR_HOME/tests/CMSSW_frontier.sh 2>&1
result=$?
echo "</pre>"
exit $result
#!/bin/bash
echo "<h2>Test of the local FroNtier squid</h2>"
echo "<pre>"
set -x
uname -a
date
set +x
echo "</pre>"
# Source the CMS environment
echo "<h3>Sourcing the CMS environment</h3>"
export SCRAM_ARCH=slc5_amd64_gcc462
if [ -n "$OSG_GRID" ] ; then
[ -f $OSG_GRID/setup.sh ] && source $OSG_GRID/setup.sh
echo "<p>OSG Middleware</p>"
if [ -d $OSG_APP/cmssoft/cms ] ;then
SW_DIR=$OSG_APP/cmssoft/cms
echo "<p>Checking variable: \$OSG_APP/cmssoft/cms=$OSG_APP/cmssoft/cms</p>"
SW_DIR=$OSG_APP/cmssoft/cms
elif [ -d $CVMFS/cms.cern.ch ] ; then
SW_DIR=$CVMFS/cms.cern.ch
echo "<p>Checking variable: \$CVMFS/cms.cern.ch=$CVMFS/cms.cern.ch</p>"
SW_DIR=$CVMFS/cms.cern.ch
elif [ -d /cvmfs/cms.cern.ch ] ; then
SW_DIR=/cvmfs/cms.cern.ch
echo "<p>Checking fallback location: /cvmfs/cms.cern.ch</p>"
SW_DIR=/cvmfs/cms.cern.ch
else
echo "<p>"
echo "Cannot find CMS software area."
echo "</p>"
exit $SAME_ERROR
echo "ERROR: Cannot find CMS software in OSG node"
echo "summary: SW_DIR_UNDEF"
exit $SAME_ERROR
fi
elif [ -n "$VO_CMS_SW_DIR" ] ; then
echo "<p>gLite Middleware</p>"
SW_DIR=$VO_CMS_SW_DIR
else
echo "<p>ERROR: Neither VO_CMS_SW_DIR nor OSG_APP defined</p>"
echo "ERROR: Neither VO_CMS_SW_DIR nor OSG_APP defined"
echo "summary: SW_DIR_UNDEF"
exit $SAME_ERROR
fi
tmpfile=`mktemp /tmp/tmp.XXXXXXXXXX`
echo "<pre>"
source $SW_DIR/cmsset_default.sh > $tmpfile 2>&1
result=$?
#cat $tmpfile
echo "</pre>"
grep 'Your shell is not able to find' $tmpfile > /dev/null
result2=$?
rm -f $tmpfile
if [ $result != 0 ]
then
echo "<p>ERROR: $SW_DIR/cmsset_default.sh non existent or non readable</p>"
exit $SAME_ERROR
fi
if [ $result2 == 0 ]
then
echo "<p>ERROR: $SW_DIR/cmsset_default.sh failed</p>"
if [ $result != 0 -o $result2 == 0 ] ; then
cat $tmpfile
rm -f $tmpfile
echo "ERROR: CMS software initialisation script cmsset_default.sh failed"
echo "summary: NO_SETUP_SCRIPT"
exit $SAME_ERROR
fi
rm -f $tmpfile
# Execute main test script
echo "<h3>Executing the squid test</h3>"
echo "<pre>"
$SAME_SENSOR_HOME/tests/test_squid.py > squid.out 2>&1
result=$?
cat squid.out
echo "</pre>"
exit $result
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment